Package org.apache.xmlbeans.impl.xb.xmlconfig

## Interface ConfigDocument.Config

- All Superinterfaces:
    `XmlObject`, `XmlTokenSource`
  All Known Implementing Classes:
    `ConfigDocumentImpl.ConfigImpl`
  Enclosing interface:
    ConfigDocument

      public static interface ConfigDocument.Config
      extends XmlObject

  An XML config(@http://xml.apache.org/xmlbeans/2004/02/xbean/config). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ElementFactory<ConfigDocument.Config>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Extensionconfig` | `addNewExtension()` | Appends and returns a new empty value (as xml) as the last "extension" element
    `Nsconfig` | `addNewNamespace()` | Appends and returns a new empty value (as xml) as the last "namespace" element
    `Qnameconfig` | `addNewQname()` | Appends and returns a new empty value (as xml) as the last "qname" element
    `Usertypeconfig` | `addNewUsertype()` | Appends and returns a new empty value (as xml) as the last "usertype" element
    `Extensionconfig[]` | `getExtensionArray()` | Gets array of all "extension" elements
    `Extensionconfig` | `getExtensionArray​(int i)` | Gets ith "extension" element
    `List<Extensionconfig>` | `getExtensionList()` | Gets a List of "extension" elements
    `Nsconfig[]` | `getNamespaceArray()` | Gets array of all "namespace" elements
    `Nsconfig` | `getNamespaceArray​(int i)` | Gets ith "namespace" element
    `List<Nsconfig>` | `getNamespaceList()` | Gets a List of "namespace" elements
    `Qnameconfig[]` | `getQnameArray()` | Gets array of all "qname" elements
    `Qnameconfig` | `getQnameArray​(int i)` | Gets ith "qname" element
    `List<Qnameconfig>` | `getQnameList()` | Gets a List of "qname" elements
    `Usertypeconfig[]` | `getUsertypeArray()` | Gets array of all "usertype" elements
    `Usertypeconfig` | `getUsertypeArray​(int i)` | Gets ith "usertype" element
    `List<Usertypeconfig>` | `getUsertypeList()` | Gets a List of "usertype" elements
    `Extensionconfig` | `insertNewExtension​(int i)` | Inserts and returns a new empty value (as xml) as the ith "extension" element
    `Nsconfig` | `insertNewNamespace​(int i)` | Inserts and returns a new empty value (as xml) as the ith "namespace" element
    `Qnameconfig` | `insertNewQname​(int i)` | Inserts and returns a new empty value (as xml) as the ith "qname" element
    `Usertypeconfig` | `insertNewUsertype​(int i)` | Inserts and returns a new empty value (as xml) as the ith "usertype" element
    `void` | `removeExtension​(int i)` | Removes the ith "extension" element
    `void` | `removeNamespace​(int i)` | Removes the ith "namespace" element
    `void` | `removeQname​(int i)` | Removes the ith "qname" element
    `void` | `removeUsertype​(int i)` | Removes the ith "usertype" element
    `void` | `setExtensionArray​(int i, Extensionconfig extension)` | Sets ith "extension" element
    `void` | `setExtensionArray​(Extensionconfig[] extensionArray)` | Sets array of all "extension" element
    `void` | `setNamespaceArray​(int i, Nsconfig namespace)` | Sets ith "namespace" element
    `void` | `setNamespaceArray​(Nsconfig[] namespaceArray)` | Sets array of all "namespace" element
    `void` | `setQnameArray​(int i, Qnameconfig qname)` | Sets ith "qname" element
    `void` | `setQnameArray​(Qnameconfig[] qnameArray)` | Sets array of all "qname" element
    `void` | `setUsertypeArray​(int i, Usertypeconfig usertype)` | Sets ith "usertype" element
    `void` | `setUsertypeArray​(Usertypeconfig[] usertypeArray)` | Sets array of all "usertype" element
    `int` | `sizeOfExtensionArray()` | Returns number of "extension" element
    `int` | `sizeOfNamespaceArray()` | Returns number of "namespace" element
    `int` | `sizeOfQnameArray()` | Returns number of "qname" element
    `int` | `sizeOfUsertypeArray()` | Returns number of "usertype" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final ElementFactory<ConfigDocument.Config> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getNamespaceList

          List<Nsconfig> getNamespaceList()

      Gets a List of "namespace" elements

    - #### getNamespaceArray

          Nsconfig[] getNamespaceArray()

      Gets array of all "namespace" elements

    - #### getNamespaceArray

          Nsconfig getNamespaceArray​(int i)

      Gets ith "namespace" element

    - #### sizeOfNamespaceArray

          int sizeOfNamespaceArray()

      Returns number of "namespace" element

    - #### setNamespaceArray

          void setNamespaceArray​(Nsconfig[] namespaceArray)

      Sets array of all "namespace" element

    - #### setNamespaceArray

          void setNamespaceArray​(int i,
                                 Nsconfig namespace)

      Sets ith "namespace" element

    - #### insertNewNamespace

          Nsconfig insertNewNamespace​(int i)

      Inserts and returns a new empty value (as xml) as the ith "namespace" element

    - #### addNewNamespace

          Nsconfig addNewNamespace()

      Appends and returns a new empty value (as xml) as the last "namespace" element

    - #### removeNamespace

          void removeNamespace​(int i)

      Removes the ith "namespace" element

    - #### getQnameList

          List<Qnameconfig> getQnameList()

      Gets a List of "qname" elements

    - #### getQnameArray

          Qnameconfig[] getQnameArray()

      Gets array of all "qname" elements

    - #### getQnameArray

          Qnameconfig getQnameArray​(int i)

      Gets ith "qname" element

    - #### sizeOfQnameArray

          int sizeOfQnameArray()

      Returns number of "qname" element

    - #### setQnameArray

          void setQnameArray​(Qnameconfig[] qnameArray)

      Sets array of all "qname" element

    - #### setQnameArray

          void setQnameArray​(int i,
                             Qnameconfig qname)

      Sets ith "qname" element

    - #### insertNewQname

          Qnameconfig insertNewQname​(int i)

      Inserts and returns a new empty value (as xml) as the ith "qname" element

    - #### addNewQname

          Qnameconfig addNewQname()

      Appends and returns a new empty value (as xml) as the last "qname" element

    - #### removeQname

          void removeQname​(int i)

      Removes the ith "qname" element

    - #### getExtensionList

          List<Extensionconfig> getExtensionList()

      Gets a List of "extension" elements

    - #### getExtensionArray

          Extensionconfig[] getExtensionArray()

      Gets array of all "extension" elements

    - #### getExtensionArray

          Extensionconfig getExtensionArray​(int i)

      Gets ith "extension" element

    - #### sizeOfExtensionArray

          int sizeOfExtensionArray()

      Returns number of "extension" element

    - #### setExtensionArray

          void setExtensionArray​(Extensionconfig[] extensionArray)

      Sets array of all "extension" element

    - #### setExtensionArray

          void setExtensionArray​(int i,
                                 Extensionconfig extension)

      Sets ith "extension" element

    - #### insertNewExtension

          Extensionconfig insertNewExtension​(int i)

      Inserts and returns a new empty value (as xml) as the ith "extension" element

    - #### addNewExtension

          Extensionconfig addNewExtension()

      Appends and returns a new empty value (as xml) as the last "extension" element

    - #### removeExtension

          void removeExtension​(int i)

      Removes the ith "extension" element

    - #### getUsertypeList

          List<Usertypeconfig> getUsertypeList()

      Gets a List of "usertype" elements

    - #### getUsertypeArray

          Usertypeconfig[] getUsertypeArray()

      Gets array of all "usertype" elements

    - #### getUsertypeArray

          Usertypeconfig getUsertypeArray​(int i)

      Gets ith "usertype" element

    - #### sizeOfUsertypeArray

          int sizeOfUsertypeArray()

      Returns number of "usertype" element

    - #### setUsertypeArray

          void setUsertypeArray​(Usertypeconfig[] usertypeArray)

      Sets array of all "usertype" element

    - #### setUsertypeArray

          void setUsertypeArray​(int i,
                                Usertypeconfig usertype)

      Sets ith "usertype" element

    - #### insertNewUsertype

          Usertypeconfig insertNewUsertype​(int i)

      Inserts and returns a new empty value (as xml) as the ith "usertype" element

    - #### addNewUsertype

          Usertypeconfig addNewUsertype()

      Appends and returns a new empty value (as xml) as the last "usertype" element

    - #### removeUsertype

          void removeUsertype​(int i)

      Removes the ith "usertype" element